# StatusBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md)

Displays information to the user in a about the object being viewed, the object's components, or the object's operation.

{% tabs %}
{% tab title="C#" %}

```csharp
public class StatusBar : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class StatusBar
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)StatusBar()

Initializes a new instance of the [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Dock

[DockStyle](/api/v3.0/wisej.web/enumerations/wisej.web.dockstyle.md): Returns or sets the docking behavior of the [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Panels

[StatusBarPanelCollection](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbar.statusbarpanelcollection.md): Returns the collection of [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) panels contained within the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)ShowPanels

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether any panels that have been added to the control are displayed.

The StatusBar control displays the value of its [Text](#text) property without any panels by default. When ShowPanels is set to true, the [StatusBarPanel](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) children specified in the StatusBar control are displayed; otherwise they are hidden and the [Text](#text) is displayed instead.

### ![](/files/uCY6T77rh488FWHzpJ6P)SizingGrip

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether a sizing grip is displayed in the lower-right corner of the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text displayed in the [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) control when if doesn't contain any [StatusBarPanel](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) or when [ShowPanels](#showpanels) is false.

The text assigned to the [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) is displayed only if it doesn't contain any [StatusBarPanel](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) or if the property [ShowPanels](#showpanels) is false.

### ![](/files/uCY6T77rh488FWHzpJ6P)TextAlign

[HorizontalAlignment](/api/v3.0/wisej.web/enumerations/wisej.web.horizontalalignment.md): Returns or sets how text is aligned in a [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) control.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)PanelClick

[StatusBarPanelClickEventHandler](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarpanelclickeventhandler.md) Fired when a [StatusBarPanel](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) object on a [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) control is clicked.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/statusbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
